package com.kingdee.eas.hr.project;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractProjectChangeInfo extends com.kingdee.eas.hr.base.HRBillBaseInfo implements Serializable 
{
    public AbstractProjectChangeInfo()
    {
        this("id");
    }
    protected AbstractProjectChangeInfo(String pkField)
    {
        super(pkField);
        put("entrys", new com.kingdee.eas.hr.project.ProjectChangeEntryCollection());
    }
    /**
     * Object: 项目变更 's 分录 property 
     */
    public com.kingdee.eas.hr.project.ProjectChangeEntryCollection getEntrys()
    {
        return (com.kingdee.eas.hr.project.ProjectChangeEntryCollection)get("entrys");
    }
    /**
     * Object:项目变更's 是否生成凭证property 
     */
    public boolean isFivouchered()
    {
        return getBoolean("Fivouchered");
    }
    public void setFivouchered(boolean item)
    {
        setBoolean("Fivouchered", item);
    }
    /**
     * Object: 项目变更 's 变更项目 property 
     */
    public com.kingdee.eas.hr.project.ProjectManagementInfo getChangeProject()
    {
        return (com.kingdee.eas.hr.project.ProjectManagementInfo)get("changeProject");
    }
    public void setChangeProject(com.kingdee.eas.hr.project.ProjectManagementInfo item)
    {
        put("changeProject", item);
    }
    /**
     * Object:项目变更's 原项目名称property 
     */
    public String getOriProName()
    {
        return getString("oriProName");
    }
    public void setOriProName(String item)
    {
        setString("oriProName", item);
    }
    /**
     * Object:项目变更's 原项目编码property 
     */
    public String getOriProCode()
    {
        return getString("oriProCode");
    }
    public void setOriProCode(String item)
    {
        setString("oriProCode", item);
    }
    /**
     * Object:项目变更's 原项目计划开始日期property 
     */
    public java.util.Date getOriPlanStartDate()
    {
        return getDate("oriPlanStartDate");
    }
    public void setOriPlanStartDate(java.util.Date item)
    {
        setDate("oriPlanStartDate", item);
    }
    /**
     * Object:项目变更's 原项目计划结束日期property 
     */
    public java.util.Date getOriPlanEndDate()
    {
        return getDate("oriPlanEndDate");
    }
    public void setOriPlanEndDate(java.util.Date item)
    {
        setDate("oriPlanEndDate", item);
    }
    /**
     * Object:项目变更's 原项目人天property 
     */
    public java.math.BigDecimal getOriManDays()
    {
        return getBigDecimal("oriManDays");
    }
    public void setOriManDays(java.math.BigDecimal item)
    {
        setBigDecimal("oriManDays", item);
    }
    /**
     * Object:项目变更's 原项目人天成本property 
     */
    public java.math.BigDecimal getOriManDaysCost()
    {
        return getBigDecimal("oriManDaysCost");
    }
    public void setOriManDaysCost(java.math.BigDecimal item)
    {
        setBigDecimal("oriManDaysCost", item);
    }
    /**
     * Object:项目变更's 变更后项目名称property 
     */
    public String getChaProName()
    {
        return getString("chaProName");
    }
    public void setChaProName(String item)
    {
        setString("chaProName", item);
    }
    /**
     * Object:项目变更's 变更后项目编码property 
     */
    public String getChaProCode()
    {
        return getString("chaProCode");
    }
    public void setChaProCode(String item)
    {
        setString("chaProCode", item);
    }
    /**
     * Object:项目变更's 变更后项目计划开始日期property 
     */
    public java.util.Date getChaPlanStartDate()
    {
        return getDate("chaPlanStartDate");
    }
    public void setChaPlanStartDate(java.util.Date item)
    {
        setDate("chaPlanStartDate", item);
    }
    /**
     * Object:项目变更's 变更后项目计划结束日期property 
     */
    public java.util.Date getChaPlanEndDate()
    {
        return getDate("chaPlanEndDate");
    }
    public void setChaPlanEndDate(java.util.Date item)
    {
        setDate("chaPlanEndDate", item);
    }
    /**
     * Object:项目变更's 变更后项目人天property 
     */
    public java.math.BigDecimal getChaManDays()
    {
        return getBigDecimal("chaManDays");
    }
    public void setChaManDays(java.math.BigDecimal item)
    {
        setBigDecimal("chaManDays", item);
    }
    /**
     * Object:项目变更's 变更后项目人天成本property 
     */
    public java.math.BigDecimal getChaManDaysCost()
    {
        return getBigDecimal("chaManDaysCost");
    }
    public void setChaManDaysCost(java.math.BigDecimal item)
    {
        setBigDecimal("chaManDaysCost", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("79ADB148");
    }
}